package com.zcloud.service.check.impl;

import com.alibaba.fastjson.JSONObject;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.check.ListCheckItemMapper;
import com.zcloud.service.check.ListCheckItemService;
import com.zcloud.util.HttpClientUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：清单-检查项关联
 * 作者：luoxiaobao
 * 时间：2020-12-31
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ListCheckItemServiceImpl implements ListCheckItemService {

	@Autowired
	private ListCheckItemMapper listcheckitemMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		listcheckitemMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		listcheckitemMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		listcheckitemMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return listcheckitemMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return listcheckitemMapper.listAll(pd);
	}

	public List<PageData> listByriskpointid(PageData pd)throws Exception{
		return listcheckitemMapper.listByriskpointid(pd);
	}


	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return listcheckitemMapper.findById(pd);
	}

	/**获取隐患数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findHidden(PageData pd)throws Exception{
		return listcheckitemMapper.findHidden(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		listcheckitemMapper.deleteAll(ArrayDATA_IDS);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteList(PageData pd)throws Exception{
		listcheckitemMapper.deleteList(pd);
	}
}

